# coding: utf-8
import requests
from .utils import save_headers, load_headers, save_file


def request(method, url, save_path, **kwagrs):
    headers = load_headers(save_path)
    headers.update(kwagrs.pop('headers', {}))

    r = requests.request(
        method=method, url=url, headers=headers, stream=True, **kwagrs
    )

    if r.status_code == 304:
        pass
    else:
        try:
            save_file(r, save_path)
        except:
            raise
        else:
            save_headers(r, save_path)
    return r


def get(url, save_path, **kwagrs):
    return request('GET', url, save_path, **kwagrs)


def post(url, save_path, **kwagrs):
    return request('POST', url, save_path, **kwagrs)
