#!/usr/bin/env python
import re
from setuptools import setup, find_packages

# Taken from https://github.com/kennethreitz/requests/commit/1145fe64a
version = ''
with open('reget/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

if not version:
    raise RuntimeError('Cannot find version information')


setup(
    name='reget',
    version=version,
    description='HTTP downloader that fix wget issues',
    long_description=open('README.rst').read(),
    url='https://github.com/infotim/python-reget',
    download_url='https://github.com/infotim/python-reget/tarball/' + version,
    author='Timofey Stolbov',
    author_email='timofey@stolbov.info',
    license='MIT',
    packages=find_packages(),
    include_package_data=True,
    install_requires=['requests~=2.7.0'],
    zip_safe=False,
    entry_points={
        'console_scripts': ['reget=reget.cli:main'],
    },
    classifiers=(
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Intended Audience :: End Users/Desktop',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Software Development :: Libraries',
        'Topic :: Utilities'
    ),
)
